Subject: Re: [bitcoindev] CTV + CSFS: a letter

From: Melvin Carvalho <[email-masked]>
Date: Tue, 10 Jun 2025 04:28:11 +0200

út 10. 6. 2025 v 1:11 odesílatel Andrew Poelstra <[email-masked]>
napsal:

> Le Mon, Jun 09, 2025 at 04:40:52AM -0700, James O'Beirne a écrit :
> > Good morning,
> >
> > A letter has been published advocating for the final review and
> > activation of OP_CHECKTEMPLATEVERIFY (BIP-119) and OP_CHECKSIGFROMSTACK
> > (BIP-348).
> >
> > The full text of the letter can be found at https://ctv-csfs.com. It is
> > reproduced below.
> >
>
> Hi all,
>
>
> James, thanks for posting the letter. Matt, Antoine -- thanks for
> replying quickly and respectfully even though you disagree with its
> contents. Let me try to clarify my stance and why I signed onto the
> letter.
>
> First, the specific choice of CTV + CSFS would not be my first choice
> on technical grounds. But what I'd like to see is something that is
> technically "good enough" to enable vaults and some new script usecases,
> while avoiding things that are politically toxic (which seems to be
> pretty-much everything, but maybe right now does not include CTV+CSFS?).
>
> So any arguments about CTV+CSFS on the technical merits I think are
> great and within the purview of "review and integration" that the letter
> talks about. (The word "final" I think is too strong and in retrospect
> I think we should've dropped it. But it's super difficult when writing
> these things to identify which specific points of language need to be
> changed.)
>
>
> Second, regarding the ultimatum language -- it was quite difficult to
> strike a balance between "Core consists of volunteers working on their
> on projects, with no obligation to anybody, and certainly no obligation
> to drive forward consensus changes" and "this is a letter that says
> nothing substantial at all".
>
> The message that I want to communicate is: Bitcoin Core, like many
> stakeholders, can veto any consensus changes because there will never be
> a large enough contigent of the Bitcoin community confident to rush in
> where angels dare to tread. But furthermore, if nobody in Core wants to
> engage at all with consensus changes, then the result is effectively the
> same as a veto.
>
> Therefore, if we want to see an increase in script expressivity, somebody
> on the Core team needs to help champion it. (There's no one in particular
> I imagine this "somebody" to be, and I suppose you could accuse me of
> hypocrisy since I'm not volunteering myself, even though I have the
> social and technical knowledge to help. It could be, and probably would
> have to be, somebody who isn't currently active on Core. But it needs to
> be somebody willing and able to work within the Core review process, to
> deal with ongoing rebases, etc.)
>
>
> Third, I really really hope that this letter does not lead to further
> brigading or twitter fights or whatever bleeding into the Github repo.
> (This is the one point where I think that my fellow cosigners agree with
> me fully.) But on the other hand, I don't think that I personally should
> shy away from discussion to mitigate that risk; it needs to be mitigated
> by more agressive moderation or by higher barriers to entry for people
> posting on Core PRs.
>

Andrew, would you agree with this premise?

Bitcoin changes must be demonstrably proven safe, needed, and wanted before
adoption.  Proposers bear the burden, not the community.  If the benefit
doesn't demonstrably outweigh the risk, the answer is simple: don't fork
the rules.

>
>
>
> Best
> Andrew
>
>
>
>
> --
> Andrew Poelstra
> Director, Blockstream Research
> Email: apoelstra at wpsoftware.net
> Web:   https://www.wpsoftware.net/andrew
>
> The sun is always shining in space
>     -Justin Lewis-Webster
>
> --
> You received this message because you are subscribed to the Google Groups
> "Bitcoin Development Mailing List" group.
> To unsubscribe from this group and stop receiving emails from it, send an
> email to [email-masked].
> To view this discussion visit
> https://groups.google.com/d/msgid/bitcoindev/aEdoIvOgNNtT6L4s%40mail.wpsoftware.net
> .
>

-- 
You received this message because you are subscribed to the Google Groups "Bitcoin Development Mailing List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To view this discussion visit https://groups.google.com/d/msgid/bitcoindev/CAKaEYh%2BtLtzaqAcN26RLw3AeNhF6VYvMdKrQY6dfCdhYg2Ad3w%40mail.gmail.com.